//----------------------------------------------------------------------------
//  Project Rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    Rect Application
//  FILE:         rctedtvw.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectEditView (TEditView).
//
//----------------------------------------------------------------------------
#if !defined(rctedtvw_h)              // Sentry, use file only if it's not already included.
#define rctedtvw_h

#include <owl/editview.h>

#include "rectapp.rh"          // Definition of all resources.


//{{TEditView = TRectEditView}}
class TRectEditView : public TEditView {
  public:
    TRectEditView(TDocument& doc, TWindow* parent = 0);
    virtual ~TRectEditView();

//{{TRectEditViewVIRTUAL_BEGIN}}
  public:
    virtual void Paint(TDC& dc, bool erase, TRect& rect);
//{{TRectEditViewVIRTUAL_END}}
//{{TRectEditViewRSP_TBL_BEGIN}}
  protected:
    void EvGetMinMaxInfo(MINMAXINFO far& minmaxinfo);
//{{TRectEditViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TRectEditView);
};    //{{TRectEditView}}


#endif  // rctedtvw_h sentry.
