//----------------------------------------------------------------------------
//  Project rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    rect.apx Application
//  FILE:         rctlstvw.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectListView (TListView).
//
//----------------------------------------------------------------------------
#if !defined(rctlstvw_h)              // Sentry, use file only if it's not already included.
#define rctlstvw_h

#include <owl/listview.h>

#include "rectapp.rh"            // Definition of all resources.
#include "rctdcmnt.h"


//{{TListView = TRectListView}}
class TRectListView : public TListView {
    TRectDocument &Doc;
  public:
    TRectListView(TRectDocument& doc, TWindow* parent = 0);
    virtual ~TRectListView();
    virtual bool LoadData();
//{{TRectListViewVIRTUAL_BEGIN}}
  public:
    virtual bool Create();
//{{TRectListViewVIRTUAL_END}}

//{{TRectListViewRSP_TBL_BEGIN}}
  protected:
  void CmEditItem();
  bool VnModify(unsigned int index);
  void CmEditDelete();
  void CmEditCut();
  void CmEditPaste();
  void CmEditClear();
//{{TRectListViewRSP_TBL_END}}
DECLARE_RESPONSE_TABLE(TRectListView);
};    //{{TRectListView}}


#endif  // rctlstvw_h sentry.

