//----------------------------------------------------------------------------
//  Project Rect
//  jyu
//  Copyright  Vesa Lappalainen 1996. All Rights Reserved.
//
//  SUBSYSTEM:    Rect Application
//  FILE:         rctmdich.h
//  AUTHOR:       vl
//
//  OVERVIEW
//  ~~~~~~~~
//  Class definition for TRectMDIChild (TMDIChild).
//
//----------------------------------------------------------------------------
#if !defined(rctmdich_h)              // Sentry, use file only if it's not already included.
#define rctmdich_h

#include "rectapp.rh"            // Definition of all resources.


//{{TMDIChild = TRectMDIChild}}
class TRectMDIChild : public TMDIChild {
  public:
    TRectMDIChild(TMDIClient& parent, const char far* title, TWindow* clientWnd, bool shrinkToClient = false, TModule* module = 0);
    virtual ~TRectMDIChild();
};    //{{TRectMDIChild}}


#endif  // rctmdich_h sentry.
